Page MenuHomePhabricator

Tweak ORES-Related Preferences for Watchlist and RC Page ahead of next release
Closed, ResolvedPublic

Description

This set of changes amends T160575 and other tickets to fix various complaints about the "r" being too prominent now that ORES is on by default. It also fixes language and other inconsistencies. It should be put in place ahead of the en.wiki release if possible.

Changes to Watchlist Preferences Page (and tools)


====Functionality change—"Highlight probably damaging edits" controls the "r" too
- This option (see new wording below) will now turn on and off both classic ORES shading and the "r" on Watchlist and Contributions (but not RC Page).
- The "r" threshold is set, as before, by the "Prediction Threshold" setting.

====Re-word the "Highlight probably damaging edits" option
New wording: Highlight ~~probably damaging~~ likely problem edits with colors and an “r” for “needs review”

====Re-word "Show only edits that may have problems" preference
New wording: Show only likely problem edits ~~that may have problems~~ (and hide probably good edits)

====Re-word the "Prediction Threshold" descriptive text
New wording: Sets the level of probability at which the system flags edits with an “r" to indicate they "need review" on Recent Changes, Watchlist and Contributions. Also sets the threshold for the “Show only likely problem edits.”

====Functional change to "Prediction Threshold" tool
T160575 specified three Quality options for the Threshold tool. But T162760 defines a system where a given wiki may not have all three levels of damage filter available. The Prediction Threshold control should conform with the levels set for a given wiki. E.g., if, on Polish, we have only Likely and Very Likely, those should be the only options offered.

====Functional change to classic ORES shading
Again, as per T162760, a given wiki may now offer from 1-3 levels of damage filter. ORES shading on Watchlist and Contributions should conform with the filter levels (extending the idea of T160575) and with the //number// of filters defined for a given wiki. Thus, on a given ORES wiki, terminology, threshold levels and number of filters/colors of shading displayed will be consistent across RC Page and Contributions/Watchlist .

===Reposition options and instruction text as shown in the screenshot
- Put all the ORES options together, in the order shown.
- They don't have to be indented, since all are not affected by the Threshold control.

{F7642684}

=Changes on RC Page Prefs

Re-word "Show only edits that may have problems" preference

New wording: Show only likely problem edits that may have problems (and hide probably good edits)

Add new Preferences for turning the "r" on and off
  • This controls the "r" only on RC Page.
  • Turn on by default for all existing ORES users when we give the beta to an ORES wiki.
  • On ORES wikis that already have the beta, automatically opt in all users who currently have ORES shading turned on, which includes all migrated ORES beta users as well as anyone who turned on the shading option after the beta release.
  • Wording:
    • Mark likely problem edits with an "r" for "needs review" (to set the level at which edits are marked, use the "Prediction Threshold" menu in the Watchlist preferences)

Changes on Watchlist and Recent Changes pages

Change legend in legend box

r This edit may be damaging have problems and should be reviewed (more info) [pls change the "r" to black from red]

Functional change: always display the "r" for "needs review" in black on all pages

That's on Recent Change, Watchlist and Contributions. Always black, no red.

Details

Related Gerrit Patches:
mediawiki/extensions/ORES : wmf/1.29.0-wmf.20Put the "r" behind a preference in non-beta mode
mediawiki/extensions/ORES : wmf/1.29.0-wmf.20Reword "damaging" to "have problems" in preferences
mediawiki/extensions/ORES : masterPut the "r" behind a preference in non-beta mode
mediawiki/extensions/ORES : masterReword "damaging" to "have problems" in preferences

Event Timeline

Why have two separate preferences for the "r" for RC and watchlist, when the sensitivity preference is not separate and we have to awkwardly refer to it? Why not merge these?

I also don't think that we need the words "the machine-language [sic] service ORES" in the message for the sensitivity preference, because we're already in the "Revision scoring" section and we don't explain what ORES is in the other preference labels. I also think that that label is very long, it would be nice to condense it.

I'm a bit meh about introducing separate preferences for the "r" and the highlighting; why wouldn't we have one preference that controls both of these things? In the current ORES beta feature you're also not able to control these things separately.

jmatazzoni renamed this task from Tweak ORES Preferences for Watchlist and RC Page ahead of next release to Tweak ORES-Related Preferences for Watchlist and RC Page ahead of next release .Apr 12 2017, 11:13 PM
jmatazzoni updated the task description. (Show Details)

Any change to the "sensitivity" preference should be handled in T160575, which is still in play (needs review). I think spreading this feature into 2 tickets complicates things.

Any change to the "sensitivity" preference should be handled in T160575, which is still in play (needs review). I think spreading this feature into 2 tickets complicates things.

Agreed, the behavior changes to the sensitivity preference should be moved there, since they're contingent on that task anyway. I'm not doing them as part of this task, for that reason.

Change 348149 had a related patch set uploaded (by Catrope):
[mediawiki/extensions/ORES@master] Reword "damaging" to "have problems" in preferences

https://gerrit.wikimedia.org/r/348149

Change 348150 had a related patch set uploaded (by Catrope):
[mediawiki/extensions/ORES@master] Put the "r" behind a preference in non-beta mode

https://gerrit.wikimedia.org/r/348150

Change 348149 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Reword "damaging" to "have problems" in preferences

https://gerrit.wikimedia.org/r/348149

Change 348157 had a related patch set uploaded (by Catrope):
[mediawiki/extensions/ORES@wmf/1.29.0-wmf.20] Reword "damaging" to "have problems" in preferences

https://gerrit.wikimedia.org/r/348157

Change 348150 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Put the "r" behind a preference in non-beta mode

https://gerrit.wikimedia.org/r/348150

Change 348169 had a related patch set uploaded (by Catrope):
[mediawiki/extensions/ORES@wmf/1.29.0-wmf.20] Put the "r" behind a preference in non-beta mode

https://gerrit.wikimedia.org/r/348169

Change 348157 merged by jenkins-bot:
[mediawiki/extensions/ORES@wmf/1.29.0-wmf.20] Reword "damaging" to "have problems" in preferences

https://gerrit.wikimedia.org/r/348157

Change 348169 merged by jenkins-bot:
[mediawiki/extensions/ORES@wmf/1.29.0-wmf.20] Put the "r" behind a preference in non-beta mode

https://gerrit.wikimedia.org/r/348169

Mentioned in SAL (#wikimedia-operations) [2017-04-14T00:05:47Z] <niharika29@tin> Started scap: Reword ORES preferences (T162831), Put ORES r behind a preference (T162831), Deploy Special:Autoblocklist (T146414)

Mentioned in SAL (#wikimedia-operations) [2017-04-14T00:05:47Z] <niharika29@tin> Started scap: Reword ORES preferences (T162831), Put ORES r behind a preference (T162831), Deploy Special:Autoblocklist (T146414)

Mentioned in SAL (#wikimedia-operations) [2017-04-14T00:30:32Z] <niharika29@tin> Finished scap: Reword ORES preferences (T162831), Put ORES r behind a preference (T162831), Deploy Special:Autoblocklist (T146414) (duration: 24m 44s)

Mentioned in SAL (#wikimedia-operations) [2017-04-14T00:30:32Z] <niharika29@tin> Finished scap: Reword ORES preferences (T162831), Put ORES r behind a preference (T162831), Deploy Special:Autoblocklist (T146414) (duration: 24m 44s)

Etonkovidova added a comment.EditedApr 18 2017, 10:07 PM

QA Recommendation: Product should weigh in

(1) beta feature 'New filters for edit review' is NOT enabled and all Preferences are at default state.

Preferences - Recent changes

Preferences - Watchlist

(2) beta feature 'New filters for edit review' is enabled (and no other changes are made to other settings default states).

Preferences - Recent changes

Preferences - Watchlist

No changes to the previous screenshot

Notes

(Discussed - not a blocker) - The settings for 'Highlight likely problem..." and 'Show only likely problem edits..." on Preferences-Watchlist are indented as they were previously.
The spec asks for not intending them:

Reposition options and instruction text as shown in the screenshot
Put all the ORES options together, in the order shown.
They don't have to be indented, since all are not affected by the Threshold control.

  • On Special:RecentChanges, the legend text for 'r This edit may have problems and should be reviewed (more info)' has a link in 'more info' to https://www.mediawiki.org/wiki/ORES_review_tool which does not provide updated info on 'r' option for ORES feature usage.

Should 'ORES review tool page' include the link to Edit Review Improvements/New filters for edit review' ?

(Discussed - the spec refers only to users with enabled ORES beta feature and has no dependency on enabling RC filters beta feature)
Per spec

Add new Preferences for turning the "r" on and off
This controls the "r" only on RC Page.
Turn on by default for all existing ORES users when we give the beta to an ORES wiki.

Does it mean that when a user enables 'New filters for edit review' beta feature, "Mark likely problem edits with an "r" for "needs review" (to set the level at which edits are marked, use the "ORES sensitivity" setting in the Watchlist preferences)" should also be on?

jmatazzoni closed this task as Resolved.Apr 19 2017, 6:57 PM

Thanks Elena. I think that's all correct.